(*
Author:  Christian Sternagel <c.sternagel@gmail.com> (2009-2015)
Author:  Guillaume Allais (2011)
Author:  René Thiemann <rene.thiemann@uibk.ac.at> (2009-2015)
License: LGPL (see file COPYING.LESSER)
*)
theory Ceta
imports
  Pre_Ceta
begin
 
declare eval_list_haskell[code_unfold]

text \<open>reactivate code equations for reals, code copied from @{theory Real_Algebraic_Numbers}\<close>

declare real_code_dels[code, code del]
declare real_code_unfold_dels[code_unfold del]
declare real_alg_code_eqns[code]

(* It seems that these two theorems are marked as "code_abbrev" in Cardinality as well as "code" in
 * Containers. This seems to cause looping code equations (i.e. finite = finite). Deleting the
 * offending code_abbrevs resolves the issue, but is probably not the proper way to fix it. *)
declare Cardinality.card'_def[code_abbrev del]
declare Cardinality.finite'_def[code_abbrev del]

end

